Is updating from 2.1 required to download Zelda DLC?

Discussion in 'Switch - Games & Content' started by Chrushev, Jun 26, 2017.

  1. Chrushev
    OP

    Chrushev GBAtemp Fan

    Member
    391
    97
    Jul 23, 2013
    Serbia, Republic of
    Is there a way to stay on 2.1 and still download the Zelda DLC from eshop or whatever?

    Before people say its "ok" to update, I dont want to update. I rather not play DLC if I cant get it.
     
  2. SomeGamer

    SomeGamer Within Hyrule Castle

    Member
    5,729
    2,676
    Dec 19, 2014
    Hungary
    Try restarting your console then entering eShop as soon as it boots.
     
  3. g00s3y

    g00s3y GBAtemp Regular

    Member
    160
    64
    Aug 6, 2008
    United States
    Just update and stop being a 13 year old rebel for no reason.
     
  4. ItsTheWolf

    ItsTheWolf Member

    Newcomer
    49
    28
    Dec 25, 2016
    Vietnam
    ...
    It's "ok" to update :D

    No, really, FW 3.0.0 has a bunch of new features, and it's confirmed to be hackable if you're into that stuff, so there's really no reason to not update.

    And to answer your question, No, Zelda DLC just needs the game to be updated, not the firmware. Just go to eShop immediately after restarting to buy the DLC, and the game will automatically download the DLC when it's available just like the updates (I guess). If you get update firmware nag when you want to play the game, restart your Switch and put it in offline mode.
     
  5. Darksoft

    Darksoft Newbie

    Newcomer
    7
    3
    Aug 23, 2009
    Canada
    I'm on firmware 2.3 and the DLC for the game wants me to update the firmware to 3.0
     
    Gungerino likes this.
  6. ItsTheWolf

    ItsTheWolf Member

    Newcomer
    49
    28
    Dec 25, 2016
    Vietnam
    Have you restart your console, try to update immediately, the restart your console again and turn it offline to play?
     
  7. Meteor7

    Meteor7 Guess where this thumb goes.

    Member
    857
    814
    Jun 9, 2014
    United States
    New Jersey
    I had the same issue. Access to the eshop is now restricted for firmware lower than 3.0.0, so yes, if you want the DLC, then you need to update.
     
  8. ItsTheWolf

    ItsTheWolf Member

    Newcomer
    49
    28
    Dec 25, 2016
    Vietnam
    Welps, seems like Nintendo's getting a bit smarter
     
  9. Meteor7

    Meteor7 Guess where this thumb goes.

    Member
    857
    814
    Jun 9, 2014
    United States
    New Jersey
    I always thought that practice was stupid, as they're just stopping customers from spending money.
     
  10. azoreseuropa

    azoreseuropa GBAtemp Guru

    Member
    5,598
    789
    Nov 6, 2002
    Portugal
    Proud to be Portuguese but I am in USA.
    Not really.
     
  11. Bladexdsl

    Bladexdsl ZOMG my posts...it's over 9000!!!

    Member
    15,982
    3,676
    Nov 17, 2008
    Australia
    Queensland
    they have been doing this since the wii. if you want to access the shop you always need to be on latest FW.
     
    zeldaism, Lacius and Chizko like this.
  12. Meteor7

    Meteor7 Guess where this thumb goes.

    Member
    857
    814
    Jun 9, 2014
    United States
    New Jersey
    Until recently, that wasn't the case with the Switch. I thought it might be indicative of a deliberate new mentality they were having about the eShop and possibly their unending, gossamer battle against the evil piracy *shakes fist*, but then they changed their eShop access policy back. I wonder if allowing access on lower FWs was unintentional to begin with.
     
    Last edited by Meteor7, Jul 1, 2017
  13. Bladexdsl

    Bladexdsl ZOMG my posts...it's over 9000!!!

    Member
    15,982
    3,676
    Nov 17, 2008
    Australia
    Queensland
    prob had something to do with the sdk being leaked :P
     
  14. Meteor7

    Meteor7 Guess where this thumb goes.

    Member
    857
    814
    Jun 9, 2014
    United States
    New Jersey
    It happened a while before the leak, so I don't think so. It may have even happened right as 3.0.0 was released